// Code generated by mockery v2.20.0. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// ActionInput is an autogenerated mock type for the ActionInput type
type ActionInput struct {
	mock.Mock
}

// IsActionInput provides a mock function with given fields:
func (_m *ActionInput) IsActionInput() {
	_m.Called()
}

type mockConstructorTestingTNewActionInput interface {
	mock.TestingT
	Cleanup(func())
}

// NewActionInput creates a new instance of ActionInput. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewActionInput(t mockConstructorTestingTNewActionInput) *ActionInput {
	mock := &ActionInput{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
